Bug 106600 - [CI] igt@i915_query@query-topology-known-pci-ids - Failed assertion: n_subslices == 2 || n_subslices == 3
Summary: [CI] igt@i915_query@query-topology-known-pci-ids - Failed assertion: n_subsli...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-22 05:33 UTC by Martin Peres
Modified: 2019-03-06 18:17 UTC (History)
2 users (show)

See Also:
i915 platform: HSW
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2018-05-22 05:33:57 UTC
On our HSW chromebook, igt@i915_query@query-topology-known-pci-ids asserts on:

(i915_query:1495) CRITICAL: Test assertion failure function test_query_topology_known_pci_ids, file ../tests/i915_query.c:453:
(i915_query:1495) CRITICAL: Failed assertion: n_subslices == 2 || n_subslices == 3

Full logs: https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_31/fi-hsw-peppy/igt@i915_query@query-topology-known-pci-ids.html
Comment 1 Chris Wilson 2019-02-01 12:44:58 UTC
(i915_query:1102) DEBUG: Platform=haswell GT=1 slices=1 subslices=1
Comment 2 Chris Wilson 2019-02-02 12:10:22 UTC
commit 0b9ac934a6aad9ed5c1fdfd48d2b0faa10bfbbc4 (upstream/master, origin/master, origin/HEAD)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Feb 1 12:47:01 2019 +0000

    i915/query: Update topology info to match reality
    
    CI has a HSW GT1 with a single subslice. Accept this as a possible truth
    value.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=106600
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Lionel Landwerlin <lionel.g.landwerlin@intel.com>
    Reviewed-by: Lionel Landwerlin <lionel.g.landwerlin@intel.com>
Comment 3 Martin Peres 2019-03-06 18:17:16 UTC
(In reply to Chris Wilson from comment #2)
> commit 0b9ac934a6aad9ed5c1fdfd48d2b0faa10bfbbc4 (upstream/master,
> origin/master, origin/HEAD)
> Author: Chris Wilson <chris@chris-wilson.co.uk>
> Date:   Fri Feb 1 12:47:01 2019 +0000
> 
>     i915/query: Update topology info to match reality
>     
>     CI has a HSW GT1 with a single subslice. Accept this as a possible truth
>     value.
>     
>     Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=106600
>     Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
>     Cc: Lionel Landwerlin <lionel.g.landwerlin@intel.com>
>     Reviewed-by: Lionel Landwerlin <lionel.g.landwerlin@intel.com>

Thanks! Closing!
Comment 4 CI Bug Log 2019-03-06 18:17:30 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.